# Uses of Interface
org.opensaml.saml.saml1.core.SubjectConfirmation

Packages that use SubjectConfirmation
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.
org.opensaml.saml.saml1.profile.impl
Implementations of SAML 1.x profile behavior.

## Uses of SubjectConfirmation in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return SubjectConfirmation
Modifier and Type
Method
Description
`SubjectConfirmation`
Subject.`getSubjectConfirmation()`
Get the subject confirmation.
Methods in org.opensaml.saml.saml1.core with parameters of type SubjectConfirmation
Modifier and Type
Method
Description
`void`
Subject.`setSubjectConfirmation(SubjectConfirmation subjectConfirmation)`
Set the subject confirmation.

## Uses of SubjectConfirmation in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement SubjectConfirmation
Modifier and Type
Class
Description
`class`
`SubjectConfirmationImpl`
Concrete implementation of `SubjectConfirmation`.
Fields in org.opensaml.saml.saml1.core.impl declared as SubjectConfirmation
Modifier and Type
Field
Description
`private SubjectConfirmation`
SubjectImpl.`subjectConfirmation`
Contains the SubjectConfirmation inside the Subject.
Methods in org.opensaml.saml.saml1.core.impl that return SubjectConfirmation
Modifier and Type
Method
Description
`SubjectConfirmation`
SubjectConfirmationBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`SubjectConfirmation`
SubjectConfirmationBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`SubjectConfirmation`
SubjectImpl.`getSubjectConfirmation()`
Get the subject confirmation.
Methods in org.opensaml.saml.saml1.core.impl with parameters of type SubjectConfirmation
Modifier and Type
Method
Description
`void`
SubjectImpl.`setSubjectConfirmation(SubjectConfirmation conf)`
Set the subject confirmation.

## Uses of SubjectConfirmation in org.opensaml.saml.saml1.profile.impl

Fields in org.opensaml.saml.saml1.profile.impl with type parameters of type SubjectConfirmation
Modifier and Type
Field
Description
`private final SAMLObjectBuilder<SubjectConfirmation>`
AddSubjectConfirmationToSubjects.`confirmationBuilder`
Builder for SubjectConfirmation objects.
Methods in org.opensaml.saml.saml1.profile.impl that return SubjectConfirmation
Modifier and Type
Method
Description
`private SubjectConfirmation`
AddSubjectConfirmationToSubjects.`cloneConfirmation(SubjectConfirmation confirmation)`
Create an efficient field-wise copy of a `SubjectConfirmation`.
Methods in org.opensaml.saml.saml1.profile.impl with parameters of type SubjectConfirmation
Modifier and Type
Method
Description
`private SubjectConfirmation`
AddSubjectConfirmationToSubjects.`cloneConfirmation(SubjectConfirmation confirmation)`
Create an efficient field-wise copy of a `SubjectConfirmation`.